<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <packaging>pom</packaging>

    <parent>
        <groupId>com.dxhy</groupId>
        <artifactId>jx-framework-dependencies</artifactId>
        <version>PRO-1011</version>
    </parent>
    <artifactId>pt</artifactId>
    <version>3.3.2.28</version>
    <name>pt</name>

    <modules>
<!--        <module>dxhy-center</module>-->
        <module>dxhy-common</module>
        <module>dxhy-auth-client</module>
        <module>dxhy-admin</module>
        <module>dxhy-gateway</module>
        <module>dxhy-base</module>
        <module>dxhy-core</module>
        <module>dxhy-erp</module>
        <module>dxhy-extend</module>
        <module>dxhy-sign</module>
        <module>dxhy-passengerTicket</module>
        <module>dxhy-portrait</module>
        <module>dxhy-customs</module>
        <module>dxhy-export-domestic</module>
        <!--<module>dxhy-manage</module>-->
        <!--进项合包-->
        <module>dxhy-operation-flow</module>
        <!--<module>dxhy-lq-channel</module>-->
        <!--<module>dxhy-lq-rpc</module>-->

    </modules>

    <properties>
        <jxpt.version>6.0.1</jxpt.version>
        <jxpt.lq.version>1.0.2</jxpt.lq.version>
        <skipTests>true</skipTests>
        <java.version>1.8</java.version>
        <skywalking.toolkit.version>8.10.0</skywalking.toolkit.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <docker.maven.plugin.version>1.4.13</docker.maven.plugin.version>
        <!-- true: 使用合包方法，base、extend 等jar包中只存才class文件 -->
        <project.spring-boot-maven-plugin.skip>true</project.spring-boot-maven-plugin.skip>
        <!-- true: 不使用合包方法，dxhy-operation-flow 中值只存在class文件减少磁盘使用，与上一行配置同时修改，值相反 -->
        <project.flow.spring-boot-maven-plugin.skip>false</project.flow.spring-boot-maven-plugin.skip>

        <repository.url>http://10.1.20.6:8081/nexus/content/groups/public</repository.url>
        <pluginRepositories.url>http://10.1.20.6:8081/nexus/content/groups/public</pluginRepositories.url>
        <distribution.repository.release.url>http://10.1.20.6:8081/nexus/content/repositories/releases</distribution.repository.release.url>
        <distribution.repository.snapshot.url>http://10.1.20.6:8081/nexus/content/repositories/snapshots</distribution.repository.snapshot.url>

    </properties>


    <dependencies>
        <!--swagger -->
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-logback-1.x</artifactId>
            <version>${skywalking.toolkit.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-trace</artifactId>
            <version>${skywalking.toolkit.version}</version>
        </dependency>
    </dependencies>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.dxhy</groupId>
                <artifactId>dxhy-lq-rpc</artifactId>
                <version>${jxpt.lq.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.nacos</groupId>
                <artifactId>nacos-client</artifactId>
                <version>2.1.2</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- 设定主仓库，按设定顺序进行查找。 -->
    <repositories>
        <repository>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <id>dxhy</id>
            <name>dxhy Repository</name>
            <url>${repository.url}</url>
        </repository>
        <repository>
            <id>alimaven</id>
            <name>aliyun maven</name>
            <url>http://maven.aliyun.com/nexus/content/groups/public/</url>
        </repository>
    </repositories>

    <!-- 设定插件仓库 -->
    <pluginRepositories>
        <pluginRepository>
            <id>dxhy</id>
            <name>dxhy</name>
            <url>${pluginRepositories.url}</url>
        </pluginRepository>
    </pluginRepositories>

    <!--贡献仓库-->
    <distributionManagement>
        <repository>
            <id>user-releases</id>
            <url>${distribution.repository.release.url}</url>
        </repository>
        <snapshotRepository>
            <id>user-snapshots</id>
            <url>${distribution.repository.snapshot.url}</url>
        </snapshotRepository>
    </distributionManagement>
    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-resources-plugin</artifactId>
                    <version>3.1.0</version>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
    <!-- 定义项目各阶段所使用的配置信息 -->
    <profiles>
        <!-- 开发环境 -->
        <profile>
            <id>dev</id>
            <properties>
                <deployType>dev</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
            <!-- 默认激活 -->
<!--            <activation>-->
<!--                <activeByDefault>true</activeByDefault>-->
<!--            </activation>-->
        </profile>
        <!-- 测试环境 -->
        <profile>
            <id>test</id>
            <properties>
                <deployType>test</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
            <!-- 默认激活 -->
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <!-- 伊利测试环境 -->
        <profile>
            <id>yltest</id>
            <properties>
                <deployType>yltest</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
        </profile>
        <!-- 预发布环境 -->
        <profile>
            <id>pre</id>
            <properties>
                <deployType>pre</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
        </profile>
        <!-- 正式环境 -->
        <profile>
            <id>prod</id>
            <properties>
                <deployType>prod</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
        </profile>
        <!-- 标准化部署环境 -->
        <profile>
            <id>std</id>
            <properties>
                <deployType>std</deployType>
                <logging.file>/home/dxhy/logs/</logging.file>
            </properties>
        </profile>
    </profiles>

</project>
